---
title: Sitemaps
---
## Get a Sitemap's Index
**Required scope:** `public-api:read`
This endoint returns a sitemap index containing links to individual sitemap files. The [Sitemap Guide](/guides/organisation/sitemaps-and-feeds/llms.txt) explains how to setup sitemaps for a Livingdocs delivery.
**Use Cases**
- Provides a [Sitemap Index](https://www.sitemaps.org/protocol.html) for Deliveries (linked via robots.txt)
**History**
| Version | Change |
| ------- | ------ |
| release-2021-06 | Initial support. |
**Curl Example**
```bash
ACCESS_TOKEN=ey1234
curl -k -X GET "https://server.livingdocs.io/api/2026-05/sitemaps/index?baseUrl=https://livingdocs.io" \
-H "Authorization: Bearer $ACCESS_TOKEN"
```
**Endpoint**
```http
GET /api/2026-05/sitemaps/index
```
**Parameters**
| Name | Type | Required | Notes |
| ---- | ---- | :------: | ----- |
| ?baseUrl | string | x | Base url of the delivery host.
Example: `?baseUrl=https://livingdocs.io/` |
| ?contentTypes | string | | A comma-separated list of contentTypes to include in the sitemap.
Example: `?contentTypes=regular,pages` |
| ?entriesPerPage | string | | Optional sitemap entry page size. Default 20000 |
**Response**
_200 OK_
```xml
https://www.livingdocs.io/sitemap.2020-01.xml
2020-01-31T22:54:23.125Z
https://www.livingdocs.io/sitemap.2020-02.xml
2020-02-29T21:07:31.544Z
https://www.livingdocs.io/sitemap.2020-02.2.xml
2020-02-29T21:07:31.544Z
https://www.livingdocs.io/sitemap.2020-02.3.xml
2020-02-29T21:07:31.544Z
```
## Get a Sitemap's Entries
**Required scope:** `public-api:read`
**Use Cases**
- Provides [Sitemap Entries](https://www.sitemaps.org/protocol.html) for Deliveries
**History**
| Version | Change |
| ------- | ------ |
| release-2021-06 | Initial support. |
**Curl Example**
```bash
ACCESS_TOKEN=ey1234
curl -k -X GET "https://server.livingdocs.io/api/2026-05/sitemaps/entries?baseUrl=https://livingdocs.io&date=2021-05" \
-H "Authorization: Bearer $ACCESS_TOKEN"
```
**Endpoint**
```http
GET /api/2026-05/sitemaps/entries
```
**Parameters**
| Name | Type | Required | Notes |
| ---- | ---- | :------: | ----- |
| ?baseUrl | string | x | Base url of the delivery host.
Example: `?baseUrl=https://livingdocs.io/` |
| ?date | string | x | Date for the specific month matching the schema from the sitemap index file.
Example: `?date=2021-06` or `?date=2021-06.2` |
| ?contentTypes | string | | A comma-separated list of contentTypes to include in the sitemap.
Example: `?contentTypes=regular,pages` |
| ?entriesPerPage | string | | Optional sitemap entry page size. Default 20000 |
**Response**
_200 OK_
```xml
https://www.livingdocs.io/category/title-li.1
2021-05-01T04:56:50.276Z
https://www.livingdocs.io/category/title-li.2
2021-05-01T05:35:32.920Z
```